/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.User;

import java.util.Date;


public class Profile {
    
    private int idprofile;
    private String nom ;
    private String prenom;
    private String naissance;
    private int sexe ;
    private int tele ;
    private String mail ;
    private String adresse ;
    private String pays ;
    
    
    
    private Authentification authentification;
    
    public int getIdprofile() {
        return idprofile;
    }

    public String getNom() {
        return nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public String getNaissance() {
        return naissance;
    }

    public int getSexe() {
        return sexe;
    }
    
    public String getSexeString() {
        if(this.sexe== 1){
            return "Homme";
        }
        else{
            return "Femme";
        }
    }
    public int getTele() {
        return tele;
    }

    public String getMail() {
        return mail;
    }

    public String getAdresse() {
        return adresse;
    }

    public String getPays() {
        return pays;
    }
    
    
    public void setIdprofile(int idprofile) {
        this.idprofile = idprofile;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public void setNaissance(String naissance) {
        this.naissance = naissance;
    }

    public void setSexe(int sexe) {
        this.sexe = sexe;
    }
    
    public void setSexeString(String sexe) {
        if(sexe.equals("Homme")){
            this.sexe=1;
        }
        else{
            this.sexe=0;
        }
        
    }
    public void setTele(int tele) {
        this.tele = tele;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public void setAdresse(String adresse) {
        this.adresse = adresse;
    }

    public void setPays(String pays) {
        this.pays = pays;
    }

    
    public Authentification getAuthentification() {
        return authentification;
    }

    public void setAuthentification(Authentification authentification) {
        this.authentification = authentification;
    }
    
    
}
